## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate trust-dns-recursor

Name:           rust-trust-dns-recursor
Version:        0.23.2
Release:        %autorelease
Summary:        Safe and secure DNS recursive resolver with DNSSEC support

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/trust-dns-recursor
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove unused tracing-subscriber dev-dependency
Patch:          trust-dns-recursor-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Trust-DNS Recursor is a safe and secure DNS recursive resolver with
DNSSEC support. Trust-DNS is based on the Tokio and Futures libraries,
which means it should be easily integrated into other software that also
use those libraries. This library can be used as in the server and
binary for performing recursive lookups.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-quic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-quic-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-quic" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-quic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-ring-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-ring" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-config-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-config" feature of the "%{crate}" crate.

%files       -n %{name}+serde-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+testing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+testing-devel %{_description}

This package contains library source intended for building other packages which
use the "testing" feature of the "%{crate}" crate.

%files       -n %{name}+testing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-devel %{_description}

This package contains library source intended for building other packages which
use the "tls" feature of the "%{crate}" crate.

%files       -n %{name}+tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "tls-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+tls-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.2-1
- Update to version 0.23.2; Fixes RHBZ#2245716

* Fri Oct 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.1-1
- Update to version 0.23.1; Fixes RHBZ#2233601

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-1
- Initial import (#2187780)
## END: Generated by rpmautospec
